# Add Security to Watchlist by Ticker

## Overview

This PUT endpoint enables you to add a specific security (by its ticker symbol) to a specific watchlist of the user whose id is provided in the request's path.

There are six required parameters that must be provided in the request:

1. **Authorization** (header). This is the authorization token from the very first [token request](https://documentation.autoshares.dev/api-documentation/watchlists/broken-reference). The value of this header must have the following format: `Bearer BQ898r9fefi` (`Bearer` + 1 space + the token).
2. **API version** (path). Unless necessary, leave it at "1.0".
3. **userID** (path). This is the ID of the user whose particular watchlist needs to be appended by a new security.
4. **watchlistID** (path). This is the internal identifier of the watchlist that needs to be appended by a new security. You can retrieve the list of a user's watchlists with [this method](https://documentation.autoshares.dev/api-documentation/watchlists/get-users-watchlist).
5. **symbolToExchange** (body). This is a dictionary that contains the ticker symbol of the security.

### Request Body Syntax

To add a new security by its ticker symbol, specify the following parameter in the request body:

```javascript
{
  "Symbol": "SNAP", //the ticker symbol of the security
}
```

Here's the final template for this API request:

```
PUT apiURL/v1.0/users/{userID}/watchlists/{watchlistID}/securities/{securityId}
```

## Response

In response to this API request, you'll receive a JSON file with the updated watchlist. In this sample request we added the Red Hat stock to the watchlist:

```javascript
{
    "Id": 17973,
    "Name": "My Stocks",
    "Type": "UserList",
    "CreateDate": "2019-01-14T12:27:38.52Z",
    "ModifyDate": "2019-01-14T12:27:38.52Z",
    "ReadOnly": false,
    "SecurityList": [
        {
            "Id": 4,
            "Symbol": "AAPL",
            "Description": "Apple Inc.",
            "Exchange": "XNAS",
            "Currency": "USD",
            "AddedDate": "2012-11-29T16:05:43.993Z",
            "ModifyDate": "2018-12-10T08:00:22.2867686Z",
            "Type": "CommonStock",
            "Source": 0,
            "ParentId": -1,
            "OptionType": "Undefined",
            "ExpirationType": "Undefined",
            "ExpirationDate": "0001-01-01T00:00:00Z",
            "StrikePrice": 0,
            "SeriesId": -1,
            "ContractSize": 1,
            "Precision": 2,
            "VolumePrecision": 0,
            "TickSize": 0.01,
            "MarginRate": 0
        },

        {
            "Id": 738622,
            "Symbol": "DDD",
            "Description": "3D Systems Corporation Common Stock",
            "Exchange": "XNYS",
            "Currency": "USD",
            "AddedDate": "2014-01-31T15:47:57.05Z",
            "ModifyDate": "2017-12-14T08:00:26.2259193Z",
            "Type": "CommonStock",
            "Source": 0,
            "ParentId": -1,
            "OptionType": "Undefined",
            "ExpirationType": "Undefined",
            "ExpirationDate": "0001-01-01T00:00:00Z",
            "StrikePrice": 0,
            "SeriesId": -1,
            "ContractSize": 1,
            "Precision": 2,
            "VolumePrecision": 0,
            "TickSize": 0.01,
            "MarginRate": 0
        },
        {
            "Id": 745778,
            "Symbol": "RHT",
            "Description": "Red Hat, Inc. Common Stock",
            "Exchange": "XNYS",
            "Currency": "USD",
            "AddedDate": "2016-05-04T13:32:42.4521164Z",
            "ModifyDate": "2017-12-14T08:00:43.5402374Z",
            "Type": "CommonStock",
            "Source": 0,
            "ParentId": -1,
            "OptionType": "Call",
            "ExpirationType": "Regular",
            "ExpirationDate": "0001-01-01T00:00:00Z",
            "StrikePrice": 0,
            "SeriesId": -1,
            "ContractSize": 1,
            "Precision": 2,
            "VolumePrecision": 0,
            "TickSize": 0.01,
            "MarginRate": 0
        }
    ]
}
```

## Common Mistakes

Here are some of the common mistakes that developers make when attempting to add a particular security by its ticker symbol to a specific watchlist.

### Specifying the Security's Internal ID Instead of its Ticker Symbol

Another common mistake when making this API request is specifying the internal ID of the added security instead of its ticker symbol — for this purpose, there's a [separate API request](https://documentation.autoshares.dev/api-documentation/watchlists/add-security-to-watchlist-by-id). If you specify the security's internal ID in this request, you'll receive the 409 status code.

The following article covers the syntax for this API request in detail.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://documentation.autoshares.dev/api-documentation/watchlists/add-security-to-watchlist-by-ticker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
